<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Quiz</title>
    <link rel="stylesheet" href="./css/product.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Ubuntu:wght@300;400;500;700&display=swap">
    <style>
        /* Quiz Styles */
        .container {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            padding: 20px;
            background-color: rgba(255, 255, 255, 0.8);
            border-radius: 10px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
            z-index: 2;
            max-width: 500px; /* Limit the maximum width */
            width: 100%; /* Ensure full width */
            overflow-y: auto; /* Enable vertical scrolling */
            max-height: 70vh; /* Limit the maximum height */
        }

        .card {
            margin-bottom: 20px;
            padding: 15px;
            background-color: rgba(255, 255, 255, 0.9);
            border-radius: 8px;
            box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
        }

        .card p {
            margin-bottom: 10px; /* Adjust spacing between paragraphs */
        }

        .submit-btn {
            display: block;
            width: 100%;
            padding: 8px; /* Decreased padding */
            background-color: #4CAF50;
            color: white;
            border: none;
            border-radius: 5px;
            cursor: pointer;
            font-size: 16px;
            transition: background-color 0.3s;
            margin-top: 10px; /* Adjusted margin */
        }

        .submit-btn:hover {
            background-color: #45a049;
        }

        .recommendation-item {
            margin-bottom: 20px;
            padding: 15px;
            background-color: rgb(255, 255, 255);
            border-radius: 8px;
            box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
            position: relative;
        }

        .close-btn {
            position: absolute;
            top: 10px;
            right: 10px;
            background-color: red;
            color: white;
            border: none;
            border-radius: 50%;
            cursor: pointer;
            font-size: 16px;
            width: 25px;
            height: 25px;
            text-align: center;
            line-height: 25px;
        }

        .card img {
            width: 100%; /* Ensure the image takes the full width of the card */
            height: auto; /* Maintain the aspect ratio */
            max-width: 150px; /* Adjust max width as needed */
            max-height: 150px; /* Adjust max height as needed */
            object-fit: cover; /* Ensures the image is scaled and cropped to fit the specified size */
            display: block;
            margin: 0 auto; /* Center the image horizontally */
        }

    </style>
</head>
<body>
    <section id="b">
        <div id="large-header" class="large-header">
            <header>
                <a href="#" class="logo" onclick="location.href='/index'">
                    <img src="/images/logo.png" alt="Logo">
                </a>
            </header>
            <canvas id="demo-canvas"></canvas>
            <div class="content">
                <h1 class="main-title">Capture Your <span class="thin">Face</span></h1>
                <div class="container">
                    <form id="quiz-form">
                        <h3>Quiz</h3>
                        <div class="card">
                            <p>1. Do you have normal skin? </p>
                            <input type="radio" id="q1-yes" name="q1" value="Yes"> Yes <br>
                            <input type="radio" id="q1-no" name="q1" value="No"> No
                        </div>
                
                        <!-- Add more questions here -->
                        <div class="card">
                            <p>2. Do you have dry skin? </p>
                            <input type="radio" id="q2-yes" name="q2" value="Yes"> Yes <br>
                            <input type="radio" id="q2-no" name="q2" value="No"> No
                        </div>
                
                        <div class="card">
                            <p>3. Do you have oily skin? </p>
                            <input type="radio" id="q3-yes" name="q3" value="Yes"> Yes <br>
                            <input type="radio" id="q3-no" name="q3" value="No"> No
                        </div>
                        
                        <!-- Continue adding questions -->
                        <div class="card">
                            <p>4. Do you have combination skin? </p>
                            <input type="radio" id="q4-yes" name="q4" value="Yes"> Yes <br>
                            <input type="radio" id="q4-no" name="q4" value="No"> No
                        </div>
                        
                        <div class="card">
                            <p>5. Do you have acne-prone skin? </p>
                            <input type="radio" id="q5-yes" name="q5" value="Yes"> Yes <br>
                            <input type="radio" id="q5-no" name="q5" value="No"> No
                        </div>
                        
                        <div class="card">
                            <p>6. Do you have wrinkles? </p>
                            <input type="radio" id="q6-yes" name="q6" value="Yes"> Yes <br>
                            <input type="radio" id="q6-no" name="q6" value="No"> No
                        </div>
                        
                        <div class="card">
                            <p>7. Do you have dull skin? </p>
                            <input type="radio" id="q7-yes" name="q7" value="Yes"> Yes <br>
                            <input type="radio" id="q7-no" name="q7" value="No"> No
                        </div>
                        
                        <div class="card">
                            <p>8. Do you have enlarged pores? </p>
                            <input type="radio" id="q8-yes" name="q8" value="Yes"> Yes <br>
                            <input type="radio" id="q8-no" name="q8" value="No"> No
                        </div>
                        
                        <div class="card">
                            <p>9. Do you have blackheads? </p>
                            <input type="radio" id="q9-yes" name="q9" value="Yes"> Yes <br>
                            <input type="radio" id="q9-no" name="q9" value="No"> No
                        </div>
                        
                        <div class="card">
                            <p>10. Do you have dark circles? </p>
                            <input type="radio" id="q10-yes" name="q10" value="Yes"> Yes <br>
                            <input type="radio" id="q10-no" name="q10" value="No"> No
                        </div>
                            
                        <div class="card">
                            <p>11. Do you have under-eye bags? </p>
                            <input type="radio" id="q11-yes" name="q11" value="Yes"> Yes <br>
                            <input type="radio" id="q11-no" name="q11" value="No"> No
                        </div>
                        
                        <div class="card">
                            <p>12. Do you have dark spots? </p>
                            <input type="radio" id="q12-yes" name="q12" value="Yes"> Yes <br>
                            <input type="radio" id="q12-no" name="q12" value="No"> No
                        </div>    
                        <button id="submit-product-btn" type="button" class="submit-btn">Submit</button>
                   
                    </form>

                </div>

                <main>       
                    <ol class="links">
                        <li><a href="#" class="active" onclick="location.href='/index'">Home</a></li>

                        <li><a href="#" onclick="location.href='/scan'">Scan</a></li>
                        <li><a href="#" onclick="location.href='/product'">Recommendation</a></li>
                    </ol>
                </main>
            </div>
        </div>
    </section>
    <section id="product-recommendation" style="display: none;">
        <div class="container">
            <h2>Product Recommendation <span id="close-recommendation" class="close-btn">X</span></h2>
            <div id="recommendations" class="recommendations">
                <!-- Recommendations will be inserted here -->
            </div>
        </div>
    </section>
    
    <!-- <a href="#" class="os-link">Operating System</a> -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/gsap/3.9.1/gsap.min.js"></script>
    <script src="/js/script.js"></script>

</body>
<script>

    document.addEventListener('DOMContentLoaded', function() {
       
        const recommendationSection = document.getElementById('product-recommendation');
        recommendationSection.style.display = 'none';

        document.getElementById('submit-product-btn').addEventListener('click', submitProductQuiz);

        const closeBtn = document.getElementById('close-recommendation');
        closeBtn.addEventListener('click', function() {
            recommendationSection.style.display = 'none';
            resetQuizForm();
        });
    });
    function validateForm() {
        const radioGroups = document.querySelectorAll('input[type="radio"]:checked');
        return radioGroups.length === 12; // Assuming there are 15 questions
    }

    function submitProductQuiz(event) {
        event.preventDefault(); // Prevent the default form submission behavior
        const allQuestionsAnswered = validateForm();
        if (!allQuestionsAnswered) {
            alert('Please answer all questions before submitting.');
            return;
        }
        fetch('http://127.0.0.1:5000/submit_quiz', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json'
            },
            body: JSON.stringify(getProductFormData())
        })
        .then(response => {
            if (!response.ok) {
                throw new Error('Network response was not ok ' + response.statusText);
            }
            return response.json();
        })
        .then(data => {
            if (data.error) {
                console.error('Error:', data.error);
            } else {
                displayProductRecommendations(data);
            }
        })
        .catch(error => {
            console.error('Error:', error);
        });
    }

    function getProductFormData() {
        const form = document.getElementById('quiz-form');
        const formData = new FormData(form);
        const jsonData = {};
        formData.forEach((value, key) => {
            jsonData[key] = value === 'Yes' ? 1 : 0;
        });
        return jsonData;
    }

    function displayProductRecommendations(data) {
        const recommendationsContainer = document.getElementById('recommendations');
        recommendationsContainer.innerHTML = ''; // Clear previous recommendations
        data.forEach(item => {
            const card = document.createElement('div');
            card.classList.add('card');
            card.innerHTML = `
                <h3>${item.brand} - ${item.name}</h3>
                <p>Price: ${item.price}</p>
                <p>Skin Type: ${item['skin type']}</p>
                <p>Concern: ${item.concern}</p>
                <img src="${item.image_url}" alt="${item.name}" />
            `;
            recommendationsContainer.appendChild(card);
        });
        document.getElementById('product-recommendation').style.display = 'block'; // Show the recommendations section
    }

    function resetQuizForm() {
        const form = document.getElementById('quiz-form');
        const radioInputs = form.querySelectorAll('input[type="radio"]');
        radioInputs.forEach(input => {
            input.checked = false;
        });
    }
</script>
</html>

